- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QTextFragment Class Reference

Search for all occurrences

## Detailed Description

Definition at line 296 of file qtextobject.h.

`#include <qtextobject.h>`

List of all members.

## Public Member Functions
| QTextFragment (const QTextDocumentPrivate *priv, int f, int fe)
| QTextFragment ()
| QTextFragment (const QTextFragment &o)
QTextFragment & | operator= (const QTextFragment &o)
bool | isValid () const
bool | operator== (const QTextFragment &o) const
bool | operator!= (const QTextFragment &o) const
bool | operator< (const QTextFragment &o) const
int | position () const
int | length () const
bool | contains (int position) const
QTextCharFormat | charFormat () const
int | charFormatIndex () const
QString | text () const

## Constructor & Destructor Documentation

QTextFragment | ( | const QTextDocumentPrivate * | priv,
|  | int | f,
|  | int | fe
| ) |  | `[inline]`

Definition at line 299 of file qtextobject.h.

    : p(priv), n(f), ne(fe) {}

QTextFragment | ( |  | ) | `[inline]`

Definition at line 300 of file qtextobject.h.

    : p(0), n(0), ne(0) {}

QTextFragment | ( | const QTextFragment & | o | ) | `[inline]`

Definition at line 301 of file qtextobject.h.

    : p(o.p), n(o.n), ne(o.ne) {}

## Member Function Documentation

QTextFragment& operator= | ( | const QTextFragment & | o | ) | `[inline]`

Definition at line 302 of file qtextobject.h.

    { p = o.p; n = o.n; ne = o.ne; return *this; }

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 304 of file qtextobject.h.

    { return p && n; }

bool operator== | ( | const QTextFragment & | o | ) | const `[inline]`

Definition at line 306 of file qtextobject.h.

    { return p == o.p && n == o.n; }

bool operator!= | ( | const QTextFragment & | o | ) | const `[inline]`

Definition at line 307 of file qtextobject.h.

    { return p != o.p || n != o.n; }

bool operator< | ( | const QTextFragment & | o | ) | const `[inline]`

Definition at line 308 of file qtextobject.h.

    { return position() < o.position(); }

int position | ( |  | ) | const

Search for all occurrences

int length | ( |  | ) | const

Search for all occurrences

bool contains | ( | int | position | ) | const

Search for all occurrences

QTextCharFormat charFormat | ( |  | ) | const

Search for all occurrences

int charFormatIndex | ( |  | ) | const

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qtextobject.h

QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment
QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment QTextFragment